Name:           perl-pmtools
Version:        1.01
Release:        2%{?dist}.1
Summary:        A suite of small programs to help manage Perl modules

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/pmtools/
Source:         http://www.cpan.org/authors/id/M/ML/MLFISHER/pmtools-%{version}.tar.gz
Patch:          pmtools-1.01-pman2pmman.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is pmtools -- a suite of small programs to help manage modules.
The names are totally preliminary, and in fact, so is the code.  We follow
the "keep it small" notion of many tiny tools each doing one thing well,
eschewing giant megatools with millions of options.

Tom Christiansen


%prep
%setup -q -n pmtools-%{version}
%patch -p1
chmod 755 pmman
find . -type f -perm 755 | xargs %{__perl} -pi -e 's{^#!/usr/bin/env perl}{#!%{__perl}}'


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{_bindir}/*
%{perl_vendorlib}/Devel/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.01-2.1
- add BR: perl(ExtUtils::MakeMaker)

* Thu Mar 30 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-2
- New doc files: Changes and TODO.

* Wed Mar 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-1
- Update to 1.01.
- URL updated: pmtools is now available in CPAN.
- Dropped patches pmtools-1.00-{different-tarball.patch,pmall.patch}:
  they were accepted upstream.

* Thu Mar  9 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-4
- Rebuild for FC5 (perl 5.8.8).

* Thu Dec 22 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-3
- Dist tag.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.00-2
- rebuilt

* Sun Feb 06 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-1
- Valid source file link found.
- Package renamed to 'perl-pmtools' in order to avoid name clash with
  the ACPI debugging tools (pmtools).

* Tue Dec 28 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.00-0.fdr.1
- The patch adds a missing target in Makefile.PL (pmeth) and renames the
  script 'pman' into 'pmman' in order to avoid a filename clash with
  the pinfo package.

* Sat Feb 28 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.00-0.fdr.0
- Initial build for fedora.us
